Get transcript
curl --request GET \
--url https://api.gospott.com/transcripts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/transcripts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/transcripts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"meeting": {
"id": "<string>"
},
"detectedLanguage": "<string>",
"content": {
"segments": [
{
"startTime": 123,
"endTime": 123,
"speaker": "<string>",
"text": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Transcript not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Transcripts
Get transcript
Retrieve a transcript by its ID. Returns the full transcript content including all segments with speaker information and timestamps.
GET
/
transcripts
/
{id}
Get transcript
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved the transcript
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I

